import { CAPACITOR_SCREEN_READER_PACKAGE_NAME } from "./package-name";
export async function getValueOption({ deep, linkId }) {
    const valueTypeLinkId = await deep.id(CAPACITOR_SCREEN_READER_PACKAGE_NAME, "Value");
    const { data: [linkWithString] } = await deep.select({
        in: {
            type_id: valueTypeLinkId,
            from_id: linkId
        }
    });
    if (!linkWithString) {
        throw new Error(`A link with type ##${valueTypeLinkId} associated with ${linkId} is not found`);
    }
    if (!linkWithString.value?.value) {
        throw new Error(`${linkWithString.id} must have a value`);
    }
    return linkWithString.value.value;
}
