import { CAPACITOR_SCREEN_READER_PACKAGE_NAME } from './package-name';
export async function insertSpeakOptions({ deep, options, }) {
    const containTypeLinkId = await deep.id('@deep-foundation/core', 'Contain');
    const syncTextFileTypeLinkId = await deep.id('@deep-foundation/core', 'SyncTextFile');
    const speakOptionsTypeLinkId = await deep.id(CAPACITOR_SCREEN_READER_PACKAGE_NAME, 'SpeakOptions');
    const valueTypeLinkId = await deep.id(CAPACITOR_SCREEN_READER_PACKAGE_NAME, 'Value');
    const languageTypeLinkId = await deep.id(CAPACITOR_SCREEN_READER_PACKAGE_NAME, 'Language');
    await deep.insert({
        type_id: speakOptionsTypeLinkId,
        in: {
            data: {
                type_id: containTypeLinkId,
                from_id: deep.linkId,
            },
        },
        out: {
            data: [
                {
                    type_id: valueTypeLinkId,
                    in: {
                        data: {
                            type_id: containTypeLinkId,
                            from_id: deep.linkId,
                        },
                    },
                    to: {
                        data: {
                            type_id: syncTextFileTypeLinkId,
                            string: {
                                data: {
                                    value: options.value,
                                },
                            },
                        },
                    },
                },
                {
                    type_id: languageTypeLinkId,
                    in: {
                        data: {
                            type_id: containTypeLinkId,
                            from_id: deep.linkId,
                        },
                    },
                    to: {
                        data: {
                            type_id: syncTextFileTypeLinkId,
                            string: {
                                data: {
                                    value: options.language,
                                },
                            },
                        },
                    },
                },
            ],
        },
    });
}
